program Install;

uses
  Forms, SysUtils, Dialogs, Windows, Messages, Controls, StdCtrls,
  Esperanto,
  frmInstall in 'frmInstall.pas' {FInstall},
  frmBrowse in 'frmBrowse.pas' {FBrowse},
  frmProgress in 'frmProgress.pas' {FProgress},
  Groups in 'Groups.pas';

{$R *.RES}
var i: Integer;
begin
  if (LowerCase(ParamStr(1))='/n') or
     (LowerCase(ParamStr(2))='/n') then
    UseUnicode:=False;
  Application.Initialize;
  HintWindowClass:=TeoHintWindow;
  Application.CreateForm(TFInstall, FInstall);
  Application.CreateForm(TFBrowse, FBrowse);
  Application.CreateForm(TFProgress, FProgress);
  FInstall.ActiveControl:=FInstall.ListBox1;
  if (LowerCase(ExtractFileName(ParamStr(0)))='malinst.exe') or
    (LowerCase(ParamStr(1))='/u') then
  begin
    if mrYes<>MessageDlg('Chu vi vere deziras malinstali programon "Ek!"?',
        mtConfirmation,[mbYes,mbNo],0) then exit;
    if UndoInstall then
    begin
        SysUtils.beep;
        MessageDlg('La malinstalo estas plenumita!',mtInformation,[mbOk],0);
        SelfDelete;
    end;
  end
  else begin
    for i:=1 to 3 do
    begin
        if FInstall.ShowModal=mrCancel then exit;
        if DoInstall then
        begin
            SysUtils.beep;
            MessageDlgPos('La instalo estas sukcese plenumita!',mtInformation,[mbOk],0,
                FProgress.Left+20,FProgress.Top+FProgress.Height-80);
            break;
        end;
    end;
  end;
end.
